> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 模型列表

> 通过 GET https://api.xroute.ai/v1/models 列出当前所有可用模型及定价元数据。

## 端点

`GET https://api.xroute.ai/v1/models`

此端点完全**免费**，返回包含 60+ 文本、推理、图像、视频和音频模型的实时目录。

```bash theme={null}
curl https://api.xroute.ai/v1/models \
  -H "Authorization: Bearer $XROUTE_API_KEY"
```

## 响应示例

```json theme={null}
{
  "object": "list",
  "data": [
    {
      "id": "deepseek/deepseek-r1",
      "object": "model",
      "owned_by": "deepseek",
      "context_length": 128000
    },
    {
      "id": "anthropic/claude-sonnet-4-20250514",
      "object": "model",
      "owned_by": "anthropic",
      "context_length": 200000
    },
    {
      "id": "google/gemini-2.5-pro",
      "object": "model",
      "owned_by": "google",
      "context_length": 1000000
    },
    {
      "id": "Byteplus/dreamina-seedance-2-5-260628",
      "object": "model",
      "owned_by": "byteplus",
      "modality": "video"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.